package config

import (
	"os"
)

type Config struct {
	Port        string
	StaticDir   string
	Environment string
}

var AppConfig Config

func Load() {
	AppConfig = Config{
		Port:        getEnv("PORT", "7878"),
		StaticDir:   getEnv("STATIC_DIR", "static"),
		Environment: getEnv("ENVIRONMENT", "development"),
	}
}

func getEnv(key, fallback string) string {
	if value, ok := os.LookupEnv(key); ok {
		return value
	}
	return fallback
}
